import request from '@/utils/request'

// 查询研究资料管理列表
export function listProjectInitiationKey(query) {
  return request({
    url: '/study/projectInitiationKey/list',
    method: 'get',
    params: query
  })
}

// 查询研究资料管理详细
export function getProjectInitiationKey(id) {
  return request({
    url: '/study/projectInitiationKey/' + id,
    method: 'get'
  })
}

// 新增研究资料管理
export function addProjectInitiationKey(data) {
  return request({
    url: '/study/projectInitiationKey',
    method: 'post',
    data: data
  })
}

// 修改研究资料管理
export function updateProjectInitiationKey(data) {
  return request({
    url: '/study/projectInitiationKey',
    method: 'put',
    data: data
  })
}

// 删除研究资料管理
export function delProjectInitiationKey(id) {
  return request({
    url: '/study/projectInitiationKey/' + id,
    method: 'delete'
  })
}
